<div id="products" class="page-layout carded fullwidth" fusePerfectScrollbar>

    <div class="top-bg {{secondColorBrand}}"></div>
      
        <div class="center">
      
            <div class="header white-fg"
                 fxLayout="column" fxLayoutAlign="center center"
                 fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">
      
              
                 <!-- APP TITLE -->
                    <div class="logo my-12 m-sm-0"
                        fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon class="logo-icon mr-16" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">styles</mat-icon>
                        <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Marcas</span>
                    </div>
                    <!-- / APP TITLE -->
                
                    <!-- SEARCH -->
                <div class="search-input-wrapper mx-12 m-md-0"
                        fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
                    <label for="search" class="mr-8">
                        <mat-icon class="secondary-text">search</mat-icon>
                    </label>
                    <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
                        <input matInput id="search" #filter (keyup)='searchOnChange($event)' placeholder="Filtrar">
                    </mat-form-field>
                </div>

                <button mat-raised-button  [ngClass]="primaryColorBrand" color="primary"
                    (click)="loadBrands('',0)">
                <span>TODAS AS MARCAS</span>
                 </button>
                
                 <!-- / SEARCH -->
            </div>
 
            

            <div style="padding: 5px 5px 5px 5px; background-color: rgb(238,239,241)" >
                    <br>
                    <div style="padding: 10px 20px 0px 0px;" *ngFor="let brand_n1 of brandsList" fxLayout="row"  fxLayoutGap="5px">
                        <div fxFlex="2">
                            <mat-icon style="padding-top: 20px; padding-left: 27px;" *ngIf="matExpansionPanel1.expanded"> keyboard_arrow_down</mat-icon>
                            <mat-icon style="padding-top: 10px; padding-left: 27px;" *ngIf="!matExpansionPanel1.expanded"> keyboard_arrow_right</mat-icon>
                        </div>
                        <div fxFlex="98"> 
                            <mat-expansion-panel  [expanded]="brand_n1['children'].length > 0 ? true : false "  [hideToggle]="true" #matExpansionPanel1 style="background-color:transparent;box-shadow: none !important;">
                                
                                <mat-expansion-panel-header style= "background-color:transparent; box-shadow: none !important;"> 
                                    <mat-expansion-panel-header [ngClass]="secondColorBrand " class="panel price-table style-1 mat-elevation-z4" (click)="expandPanel(matExpansionPanel1, brand_n1,'0')" style="width: 100%;">
                                        <mat-panel-title>
                                            <span  class="font-panel-title white-fg">{{brand_n1['name']}}</span>
                                        </mat-panel-title>
                                        <mat-chip-list></mat-chip-list>
                                        <mat-chip color="accent" *ngIf="brand_n1['children'].length > 0" selected="true">{{brand_n1['children'].length}}&nbsp;{{brand_n1['children'].length == 1 ?'submarca' : 'submarcas'}}</mat-chip>
                                        &nbsp;&nbsp;
                                        <button mat-mini-fab color="accent" style="box-shadow: none !important;" (click)="newBrandDialog(matExpansionPanel1,brand_n1['id'])"><mat-icon aria-label="Adicionar Submarca" style="color:white">add</mat-icon></button>
                                        &nbsp;&nbsp;
                                        <button mat-mini-fab style="background-color:gray; box-shadow: none !important;" (click)="toggleRow(brand_n1['id'])"><mat-icon aria-label="Editar" style="color:white">edit</mat-icon></button>
                                     </mat-expansion-panel-header> 
                                </mat-expansion-panel-header>   
                            

                            <div style="padding: 10px 3px 0px 10px;" *ngFor="let brand_n2 of brand_n1['children'].length > 0 ? orderByName(brand_n1['brandChildren']) : []" fxLayout="row"  fxLayoutGap="5px">
                                
                                    <div fxFlex="2" >
                                        <mat-icon style="padding-top: 12px; " *ngIf="matExpansionPanel2.expanded"> keyboard_arrow_down</mat-icon>
                                        <mat-icon style="padding-top: 12px;" *ngIf="!matExpansionPanel2.expanded"> keyboard_arrow_right</mat-icon>
                                    </div>
                                    <div fxFlex="98"> 
                                        <mat-expansion-panel  class="panel style-1 mat-elevation-z4" [hideToggle]="true" #matExpansionPanel2 style="background-color:rgb(226,227,229)">
                                            <mat-expansion-panel-header  (click)="expandPanel(matExpansionPanel2, brand_n2,'0')">
                                                <mat-panel-title>
                                                    <span class="font-panel-title">{{brand_n2['name']}}</span>
                                                </mat-panel-title>
                                                <mat-chip color="accent" *ngIf="brand_n2['children'].length > 0" selected="true">{{brand_n2['children'].length}}&nbsp;{{brand_n2['children'].length == 1 ?'submarca' : 'submarcas'}}</mat-chip>
                                                &nbsp;&nbsp;
                                                <button mat-mini-fab color="accent" style="box-shadow: none !important;" (click)="newBrandDialog(matExpansionPanel2,brand_n2['id'])"><mat-icon aria-label="Adicionar Submarca" style="color:white">add</mat-icon></button>
                                                 &nbsp;&nbsp;
                                                <button mat-mini-fab style="background-color:gray; box-shadow: none !important;" (click)="toggleRow(brand_n2['id'])"><mat-icon aria-label="Editar" style="color:white">edit</mat-icon></button>
                                            </mat-expansion-panel-header>    

                                            <div style="padding: 5px 0px 0px 20px;" *ngFor="let brand_n3 of brand_n2['children'].length > 0 ? orderByName(brand_n2['brandChildren']) : []">
                                                <mat-expansion-panel class="panel style-1 mat-elevation-z4" [hideToggle]="true" #matExpansionPanel3>
                                                        <mat-expansion-panel-header (click)="expandPanel(matExpansionPanel3, brand_n3,'2')">
                                                            <mat-panel-title>
                                                                    <span class="font-panel-title">{{brand_n3['name']}}</span>
                                                            </mat-panel-title>
                                                            <mat-chip color="accent" *ngIf="brand_n3['children'].length > 0" selected="true">{{brand_n3['children'].length}}&nbsp;{{brand_n3['children'].length == 1 ?'submarca' : 'submarcas'}}</mat-chip>
                                                            &nbsp;&nbsp;
                                                            <button mat-mini-fab color="accent" style="box-shadow: none !important;" (click)="newBrandDialog(matExpansionPanel3,brand_n3['id'])"><mat-icon aria-label="Adicionar Submarca" style="color:white">add</mat-icon></button>
                                                            &nbsp;&nbsp;
                                                            <button mat-mini-fab style="background-color:gray; box-shadow: none !important;" (click)="toggleRow(brand_n3['id'])"><mat-icon aria-label="Editar" style="color:white">edit</mat-icon></button>
                                                        </mat-expansion-panel-header>
                                                </mat-expansion-panel>
                                            </div>
                                        </mat-expansion-panel>
                                    </div>
                                </div>

                            </mat-expansion-panel>
                                
                       </div>

                       
                    </div>
                    <br>
            </div>  

    </div>

</div>   